JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const audience of client.audiences.list({ account_id: 'account_id' })) {
console.log(audience.id);
}curl --request GET \
--url https://api.whop.com/api/v1/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"audience_type": "custom",
"created_at": "<string>",
"error_message": "<string>",
"id": "<string>",
"lookalike_ratio": 123,
"lookalike_starting_ratio": 123,
"match_rates": [
{
"lower_bound": 123,
"platform": "meta",
"status": "calculating",
"upper_bound": 123
}
],
"matched_rows": 123,
"name": "<string>",
"platform_audience_ids": [
"<string>"
],
"processed_rows": 123,
"progress_percent": 123,
"source_audience_id": "<string>",
"total_rows": 123,
"updated_at": "<string>"
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Audiences
List Audiences
Lists uploaded customer-list audiences for an account. Pass audience_id to return a specific audience.
GET
/
audiences
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const audience of client.audiences.list({ account_id: 'account_id' })) {
console.log(audience.id);
}Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Query Parameters
Account ID, prefixed biz_.
Audience ID, prefixed adaud_, used to filter the response to one audience.
Filter by audience type: custom (uploaded lists) or lookalike.
Available options:
custom, lookalike Number of audiences to return. Defaults to 20; maximum 100.
Cursor for the next page of audiences.
⌘I

